summarylogtreecommitdiffstats
path: root/moe.install
diff options
context:
space:
mode:
authorAnton Leontiev2013-08-23 16:58:29 +0400
committerAnton Leontiev2015-02-15 07:48:01 +0300
commit31493c734ea4b6abc488ee7369af49f5786c79b1 (patch)
treefd4a7c943225c9ce22a34548b90f094a4d9cf37a /moe.install
downloadaur-31493c734ea4b6abc488ee7369af49f5786c79b1.tar.gz
Initial commit
Diffstat (limited to 'moe.install')
-rw-r--r--moe.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/moe.install b/moe.install
new file mode 100644
index 000000000000..70e73d319d22
--- /dev/null
+++ b/moe.install
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(moe.info.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}